package org.apache.commons.lang3.time;

package .tmp;

import java.io.IOException;
import java.util.Calendar;
import org.apache.commons.lang3.time.FastDatePrinter;

class TwoDigitYearField implements FastDatePrinter.NumberRule {
  static final TwoDigitYearField INSTANCE = new TwoDigitYearField();
  
  public int estimateLength() {
    return 2;
  }
  
  public void appendTo(Appendable buffer, Calendar calendar) throws IOException {
    appendTo(buffer, calendar.get(1) % 100);
  }
  
  public final void appendTo(Appendable buffer, int value) throws IOException {
    FastDatePrinter.access$000(buffer, value % 100);
  }
}
